Page MenuHomePhabricator

Create notification for successful mentions
Closed, ResolvedPublic5 Story Points

Description

Create a notification for successful mentions

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 7 2016, 4:11 PM
Restricted Application added a project: Design. · View Herald TranscriptJul 7 2016, 4:11 PM

@Lea_WMDE @Pginer-WMF

This is my idea for the logo for the successful mention. Please let me know if you would like something else.
Also I wasn't sure if it makes sense to mention the talk page or article in the text or if it can just sit in the lower part. I also didn't see the need for expandable boxes or am I missing a scenario where they would be necessary.

For the bottom mentions: I seem to recall seeing it being arranged like then when multiple users are being mentioned, but couldn't find an example of it anymore. Would the "two others" then be clickable?

Charlie_WMDE moved this task from Incoming to Doing on the WMDE-Design board.Jul 8 2016, 7:18 AM

Cool, thanks! If we have the link called like the page down at the bottom, I personally don't see any reason why we should repeat it in the long text as well.
I can't see an example for expandable notifications either, since we decided to split failed mention notifications from successful mention notifications.

In the very first draft I made, "2 others "were clickable to see who were the two others. But I don't know if that is common practice for notifications. @Pginer-WMF do you have an opinion about that?

Maybe that's where I saw it then. Either way we would need to come up with a away to display this when there are more than two or three successful mentions. If the "two others" click-able thing does not work we'd have to maybe also do the expandable group thing, like in the failure notifications.

Mocks for successful notifications when opt-out of failure notifications

WMDE-Fisch set the point value for this task to 5.Jul 14 2016, 2:31 PM
WMDE-Fisch moved this task from Proposed to Backlog on the TCB-Team-Sprint-2016-07-14 board.

Notifications should be opt-in see also T140348

sorry, that's what i meant

I think https://www.mediawiki.org/wiki/User:Legoktm/pings may be related here.

Basically the current mentions/pings system is shaky. I'm not sure building notifications on top of it is the best approach to resolve the underlying issue(s) that users are having.

MZMcBride renamed this task from Create notification for successfull mentions to Create notification for successful mentions.Jul 14 2016, 4:27 PM
MZMcBride updated the task description. (Show Details)
WMDE-Fisch claimed this task.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 22 2016, 10:20 AM
Charlie_WMDE moved this task from Doing to Done on the WMDE-Design board.Jul 25 2016, 8:33 AM

Change 300856 had a related patch set uploaded (by WMDE-Fisch):
Echo notifications for successful mentions

https://gerrit.wikimedia.org/r/300856

After a quick talk to @Lea_WMDE I verified, that we want mention success notifications for every successful mention ( although they will show up bundled in the presentation )

I will change the patch accordingly.

Change 300856 merged by jenkins-bot:
Echo notifications for successful mentions

https://gerrit.wikimedia.org/r/300856

Change 302293 had a related patch set uploaded (by Catrope):
Add $wmgEchoMentionStatusNotifications and enable it in beta labs

https://gerrit.wikimedia.org/r/302293

Change 302293 merged by jenkins-bot:
Add $wmgEchoMentionStatusNotifications and enable it in beta labs

https://gerrit.wikimedia.org/r/302293

Stashbot added a subscriber: Stashbot.

Mentioned in SAL [2016-08-01T23:25:02Z] <dereckson@tin> Synchronized wmf-config/: Add $wmgEchoMentionStatusNotifications and enable it in beta labs (T135717, T139623) (duration: 00m 30s)

Mentioned in SAL [2016-08-01T23:27:25Z] <dereckson@tin> Synchronized wmf-config/: Revert "Add $wmgEchoMentionStatusNotifications and enable it in beta labs" (T135717, T139623) (duration: 00m 27s)

Change 302377 had a related patch set uploaded (by Dereckson):
Revert "Revert "Add $wmgEchoMentionStatusNotifications and enable it in beta labs""

https://gerrit.wikimedia.org/r/302377

Change 302377 merged by jenkins-bot:
Revert "Revert "Add $wmgEchoMentionStatusNotifications and enable it in beta labs""

https://gerrit.wikimedia.org/r/302377

Mentioned in SAL [2016-08-03T00:19:22Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Add $wmgEchoMentionStatusNotifications and enable it in beta labs (no-op in prod, T135717, T139623) (duration: 00m 25s)

Mentioned in SAL [2016-08-03T00:20:30Z] <dereckson@tin> Synchronized wmf-config/CommonSettings.php: Add $wmgEchoMentionStatusNotifications and enable it in beta labs (no-op in prod, T135717, T139623) (duration: 00m 26s)

Lea_WMDE closed this task as Resolved.Aug 4 2016, 4:09 PM
Johan added a subscriber: Johan.Aug 5 2016, 8:45 AM
This comment was removed by Johan.

Why is this an alert and no message? A successful mention doesn't seem urgent at all.